/// <reference types="node" />
import { WorkerOptions } from 'node:worker_threads';
import Thread from './thread';
export default class ThreadManager {
    threads: Record<string, Thread>;
    constructor();
    spawnThread(name: string, filename: string, options?: WorkerOptions): Thread;
    closeThread(name: string, exit?: number): boolean;
}
