"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const thread_1 = __importDefault(require("./thread"));
class ThreadManager {
    threads;
    constructor() {
        this.threads = {};
    }
    spawnThread(name, filename, options) {
        const thread = new thread_1.default(this, name, filename, options);
        this.threads[name] = thread;
        return thread;
    }
    closeThread(name, exit) {
        const thread = this.threads[name];
        if (thread) {
            thread.close(exit);
            return true;
        }
        return false;
    }
}
exports.default = ThreadManager;
