/// <reference types="node" />
import { MessagePort } from 'node:worker_threads';
export default class ThreadSelf {
    parentPort: MessagePort;
    data: unknown;
    constructor();
    emit(messageKey: string, ...value: unknown[]): void;
    on(event: 'close', cb: (...value: unknown[]) => unknown): void;
    on(event: 'messageError', cb: (...value: unknown[]) => unknown): void;
    on(messageKey: string, cb: (...value: unknown[]) => unknown): void;
}
