"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const threadManager_1 = __importDefault(require("./core/threadManager"));
const thread_1 = __importDefault(require("./core/thread"));
const threadSelf_1 = __importDefault(require("./core/threadSelf"));
var NeedleJS;
(function (NeedleJS) {
    NeedleJS.ThreadManager = threadManager_1.default;
    NeedleJS.Thread = thread_1.default;
    NeedleJS.ThreadSelf = threadSelf_1.default;
    let Types;
    (function (Types) {
        let BuiltInMessageKeys;
        (function (BuiltInMessageKeys) {
            BuiltInMessageKeys["Shutdown"] = "NEEDLEJS-THREAD-SHUTDOWN";
        })(BuiltInMessageKeys = Types.BuiltInMessageKeys || (Types.BuiltInMessageKeys = {}));
        let ThreadReservedMessageKeys;
        (function (ThreadReservedMessageKeys) {
            ThreadReservedMessageKeys[ThreadReservedMessageKeys["online"] = 0] = "online";
            ThreadReservedMessageKeys[ThreadReservedMessageKeys["exit"] = 1] = "exit";
            ThreadReservedMessageKeys[ThreadReservedMessageKeys["messageError"] = 2] = "messageError";
        })(ThreadReservedMessageKeys = Types.ThreadReservedMessageKeys || (Types.ThreadReservedMessageKeys = {}));
        let ThreadSelfReservedMessageKeys;
        (function (ThreadSelfReservedMessageKeys) {
            ThreadSelfReservedMessageKeys[ThreadSelfReservedMessageKeys["close"] = 0] = "close";
            ThreadSelfReservedMessageKeys[ThreadSelfReservedMessageKeys["messageError"] = 1] = "messageError";
        })(ThreadSelfReservedMessageKeys = Types.ThreadSelfReservedMessageKeys || (Types.ThreadSelfReservedMessageKeys = {}));
    })(Types = NeedleJS.Types || (NeedleJS.Types = {}));
})(NeedleJS || (NeedleJS = {}));
exports.default = NeedleJS;
